package com.casic.missiles.modular.system.dao;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public interface ScreenDataServiceMapper {

    List<Map<String, Integer>> countDeviceByType();

    List<Map<String, String>> getTypeName();

    List<Map<String, Integer>> countAlarmType();

}
